#include <iostream>
#include<math.h>
using namespace std;

int main()
{
    unsigned long long l,w,s=0,t=0;
   double p,q,r;
    cin>>p>>q>>r>>l>>w;
    for(unsigned long long  i=l;i<=w;i++){
       s=ceil(i/p)+ceil(i/q)+ceil(i/r);
       if(s==i){

           t=t+1;
       }

    }
cout<<t;

}